Summary		: The RPM package management system.
Name		: rpm
Version		: 4.1
# Based on release: 8x
Release		: %{_release_id}
Group		: base
Source		: ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x/rpm-%{version}.tar.gz
Source1		: rpm.tmpl
Source2		: rpm-build.tmpl
Source3		: rpm-devel.tmpl
Source4		: popt.tmpl

# Upstream patches
Patch0          : rpm-4.1-psm-sigchild.patch
Patch1          : rpm-4.1-ppc.patch

# MontaVista - Bug Fixes to upstream
Patch5          : rpm-4.1-db3-config.patch
Patch6          : rpm-4.1-include.patch
Patch7          : rpm-4.1-lib-nls.patch
Patch8          : rpm-4.1-libelf.patch   
Patch9          : rpm-4.1-makefile.patch
Patch10         : rpm-4.1-solaris.patch
Patch11         : rpm-4.1-target.patch
Patch12		: rpm-4.1-cross-configure.patch
Patch13		: rpm-4.1-rpm-relocation.patch
Patch14		: rpm-4.1-psm-sigchild2.patch
Patch15		: rpm-4.1-dblslash-reloc.patch
Patch16		: rpm-4.1-rpm2cpio-static.patch
Patch17		: rpm-4.1-relocte.diff
Patch18		: rpm-4.1-pkgerase.patch

#  Integration patches
Patch20         : rpm-4.1-vendor-montavista.patch
Patch21		: rpm-4.1-mvl-machine.patch
Patch22		: rpm-4.1-auto-ignorearch.patch
Patch23		: rpm-4.1-autoprefix.patch
Patch24		: rpm-4.1-rpmrc.patch
Patch25		: rpm-4.1-target-path.patch
Patch26		: rpm-4.1-xtensa.patch

Copyright	: GPL
BuildRoot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
%define _defaultdocdir  %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-rpm
Obsoletes : hhl-%{_hhl_target_arch}-rpm

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.


%package -n rpm-devel
Summary:  Development files for manipulating RPM packages.
Group: libs

Requires: popt = 1.7
# Requires: libelf >= 0.8.2
Requires: rpm = %{version}

Obsoletes : hhl-%{_hhl_target_arch}-rpm-devel

%description -n rpm-devel
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.


%package -n rpm-build
Summary: Scripts and executable programs used to build packages.
Group: tools

Requires: rpm = %{version}, patch, file
#Provides: rpmbuild(VendorConfig) = %{version}

Obsoletes : hhl-%{_hhl_target_arch}-rpm-build

%description -n rpm-build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.


%package -n popt
Summary: A C library for parsing command line parameters.
Group: libs
Version: 1.7

Obsoletes : hhl-%{_hhl_target_arch}-popt

%description -n popt
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.


%prep
%target_check
%setup -n rpm-4.1

%patch0 -p1
%patch1 -p1

%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
#Commented out until furthur investigation
#%patch18 -p1

%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1


%build
%target_setup
%target_acplatvars

export ac_cv_func_setreuid=yes
export ac_cv_func_rand=yes
export ac_cv_func_getdomainname=yes
export ac_cv_func_socket=yes
export ac_cv_func_mmap_fixed_mapped=yes

export ac_cv_header_thread_h=no
export ac_cv_header_synch_h=no

export ac_cv_func_malloc_works=yes
export ac_cv_func_memcmp_works=yes
export ac_cv_func_lstat_dereferences_slashed_symlink=yes
export ac_cv_func_stat_empty_string_bug=no

export ac_cv_have_working_aio=yes
export db_cv_alignp_t="unsigned long"
export db_cv_fcntl_f_setfd=yes
export db_cv_sprintf_count=yes

export libelf_cv_working_memmove=yes

%if "%{_hhl_target_cpu_type}" == "x86" 
export db_cv_mutex="x86/gcc-assembly"
%endif

%if "%{_hhl_target_cpu_type}" == "ppc" 
export db_cv_mutex="PPC/gcc-assembly"
%endif

%ifarch ia64_i2
export db_cv_mutex="ia64/gcc-assembly"
%endif

%if "%{_hhl_target_cpu_type}" == "arm"
export db_cv_mutex="POSIX/pthreads/library"
%endif
 
%if "%{_hhl_target_cpu_type}" == "mips"
export db_cv_mutex="POSIX/pthreads/library"
%endif

%if "%{_hhl_target_cpu_type}" == "sh"
export db_cv_mutex="POSIX/pthreads/library"
%endif

%if "%{_hhl_target_cpu_type}" == "xtensa"
export db_cv_mutex="POSIX/pthreads/library"
%endif

export ac_cv_header_libelf_gelf_h=no
%target_configure --without-python --without-apidocs

CROSS_PREFIX=`echo %{_hhl_cross_target_dir} | sed s,%{_hhl_base_prefix}/,,`
echo "#define HHL_MACHINE \"%{_hhl_target_arch}\"" >> config.h
echo "#define HHL_CROSS_PREFIX \"$CROSS_PREFIX\"" >> config.h

make


%install
%target_setup
rm -rf %{buildroot}
%target_makeinstall \
	rpmbindir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir} \
	pkgbindir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/ \
	pkglibdir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/

%demangle_libtool

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpm \
	%{buildroot}%{_hhl_cross_target_dir}/bin/rpm

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rpm

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/var/lib/rpm/
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/var/spool/repackage/

for dbi in \
	Basenames Conflictname Dirnames Group Installtid Name Providename \
	Provideversion Removetid Requirename Requireversion Triggername \
	Sigmd5 Sha1header Filemd5s Packages \
	__db.001 __db.002 __db.003 __db.004 __db.005 __db.006 __db.007 \
	__db.008 __db.009
do
    touch %{buildroot}%{_hhl_cross_target_dir}/var/lib/rpm/$dbi
done

ln -s rpmpopt-4.1 \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmpopt

# clean out unpackaged software
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/beecrypt
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/libelf
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libbeecrypt.*
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libelf.*

rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/Specfile.pm
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/*-linux
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/cpanflute*
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmdiff
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmdiff.cgi
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/sql.prov
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/sql.req
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/tcl.req

rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/RPMS/*

# Make the RIGHT directories!
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/RPMS/noarch

# MontaVista macros...
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/montavista
cp %{_hhl_config_dir}/rpm/common \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/montavista/macros

# Disable the target_acplatvars....
echo "%%target_acplatvars	%%{nil}" >> \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/montavista/macros

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/%{_target}
cp %{_hhl_config_dir}/rpm/targets/%{_target} \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/%{_target}/macros

echo "# --- Host Emulation ---" > host-emu
echo "%%_hhl_host_arch		%{_hhl_target_arch}" >> host-emu
echo "%%_hhl_host_cpu		%{_hhl_target_cpu}" >> host-emu
echo "%%_hhl_host_config	%{_hhl_target_config}" >> host-emu
echo "%%_hhl_exe_ext		%%{nil}" >> host-emu
echo "%%_hhl_host_endian	%{_hhl_target_endian}" >> host-emu
cat host-emu >> \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/%{_target}/macros

cp -f ../COPYING ../LICENSE

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/*/*

export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}

%clean
rm -rf %{buildroot}

%define	rpmattr		%attr(0755, root, root)


%files -n rpm
%defattr(-,root,root)
%doc RPM-PGP-KEY RPM-GPG-KEY CHANGES GROUPS doc/manual/[a-z]*
%doc LICENSE

%attr(0755, root, root)	%{_hhl_cross_target_dir}/bin/rpm

%dir			%{_hhl_cross_target_dir}/etc/rpm
%attr(0755, root, root)	%dir %{_hhl_cross_target_dir}/var/lib/rpm
%attr(0755, root, root)	%dir %{_hhl_cross_target_dir}/var/spool/repackage

%define	rpmdbattr %attr(0644, root, root) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Basenames
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Conflictname
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/__db.0*
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Dirnames
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Filemd5s
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Group
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Installtid
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Name
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Packages
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Providename
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Provideversion
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Removetid
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Requirename
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Requireversion
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Sigmd5
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Sha1header
%rpmdbattr	%{_hhl_cross_target_dir}/var/lib/rpm/Triggername

%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpm2cpio
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/gendiff
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpmdb
#%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpm[eiu]
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpmsign
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpmquery
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpmverify

%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpm-4.1.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmdb-4.1.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmio-4.1.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmbuild-4.1.so

%attr(0755, root, root)	%dir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/config.guess
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/config.sub
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/convertrpmrc.sh
%attr(0644, root, root)	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/macros
%attr(0644, root, root)	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/montavista/macros
%attr(0644, root, root)	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/%{_target}/macros
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/mkinstalldirs
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpm.*
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpm2cpio.sh
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpm[deiukqv]
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/tgpg
%attr(0644, root, root)	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmpopt*
%attr(0644, root, root)	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmrc

%ifarch i386 i486 i586 i686 athlon
%attr(-, root, root)		%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/i[3456]86*
%attr(-, root, root)		%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/athlon*
%endif

#%attr(-, root, root)		%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/montavista

%lang(cs)	%{_hhl_cross_target_dir}/usr/*/locale/cs/LC_MESSAGES/rpm.mo
%lang(da)	%{_hhl_cross_target_dir}/usr/*/locale/da/LC_MESSAGES/rpm.mo
%lang(de)	%{_hhl_cross_target_dir}/usr/*/locale/de/LC_MESSAGES/rpm.mo
%lang(fi)	%{_hhl_cross_target_dir}/usr/*/locale/fi/LC_MESSAGES/rpm.mo
%lang(fr)	%{_hhl_cross_target_dir}/usr/*/locale/fr/LC_MESSAGES/rpm.mo
%lang(gl)	%{_hhl_cross_target_dir}/usr/*/locale/gl/LC_MESSAGES/rpm.mo
%lang(is)	%{_hhl_cross_target_dir}/usr/*/locale/is/LC_MESSAGES/rpm.mo
%lang(ja)	%{_hhl_cross_target_dir}/usr/*/locale/ja/LC_MESSAGES/rpm.mo
%lang(ko)	%{_hhl_cross_target_dir}/usr/*/locale/ko/LC_MESSAGES/rpm.mo
%lang(no)	%{_hhl_cross_target_dir}/usr/*/locale/no/LC_MESSAGES/rpm.mo
%lang(pl)	%{_hhl_cross_target_dir}/usr/*/locale/pl/LC_MESSAGES/rpm.mo
%lang(pt)	%{_hhl_cross_target_dir}/usr/*/locale/pt/LC_MESSAGES/rpm.mo
%lang(pt_BR)	%{_hhl_cross_target_dir}/usr/*/locale/pt_BR/LC_MESSAGES/rpm.mo
%lang(ro)	%{_hhl_cross_target_dir}/usr/*/locale/ro/LC_MESSAGES/rpm.mo
%lang(ru)	%{_hhl_cross_target_dir}/usr/*/locale/ru/LC_MESSAGES/rpm.mo
%lang(sk)	%{_hhl_cross_target_dir}/usr/*/locale/sk/LC_MESSAGES/rpm.mo
%lang(sl)	%{_hhl_cross_target_dir}/usr/*/locale/sl/LC_MESSAGES/rpm.mo
%lang(sr)	%{_hhl_cross_target_dir}/usr/*/locale/sr/LC_MESSAGES/rpm.mo
%lang(sv)	%{_hhl_cross_target_dir}/usr/*/locale/sv/LC_MESSAGES/rpm.mo
%lang(tr)	%{_hhl_cross_target_dir}/usr/*/locale/tr/LC_MESSAGES/rpm.mo

%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/gendiff.1*
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpm.8*
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpm2cpio.8*
#%lang(fr)	%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/fr/man[18]/*.[18]*
#%lang(ja)	%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/ja/man[18]/*.[18]*
#%lang(ko)	%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/ko/man[18]/*.[18]*
#%lang(pl)	%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/pl/man[18]/*.[18]*
#%lang(ru)	%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/ru/man[18]/*.[18]*
#%lang(sk)	%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/sk/man[18]/*.[18]*


%files -n rpm-build
%defattr(-,root,root)
%doc LICENSE

%dir %{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista
%dir %{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/BUILD
%dir %{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/SPECS
%dir %{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/SOURCES
%dir %{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/SRPMS
%dir %{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/RPMS
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/src/montavista/RPMS/*
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpmbuild
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/brp-*
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/check-files
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/check-prereqs
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/config.site
#%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/cpanflute
#%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/cpanflute2
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/cross-build
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-debuginfo.sh
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-lang.sh
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-prov.pl
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-provides
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-provides.perl
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-req.pl
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-requires
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/find-requires.perl
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/get_magic.pl
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/getpo.sh
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/http.req
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/javadeps
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/magic.prov
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/magic.req
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/perl.prov
#%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/Specfile.pm

# XXX remove executable bit to disable autogenerated perl requires for now.
#%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/perl.req
%attr(0644, root, root) %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/perl.req

%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpm[bt]
#%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmdiff
#%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmdiff.cgi
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/striptofile
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/trpm
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/u_pkg.sh
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/unstripfile
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/vpkg-provides.sh
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/vpkg-provides2.sh

%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpmbuild.8*


%files -n rpm-devel
%defattr(-,root,root)
%doc LICENSE

%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/rpm
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpm.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpm.la
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpm.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmdb.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmdb.la
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmdb.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmio.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmio.la
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmio.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmbuild.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmbuild.la
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/librpmbuild.so
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpmcache.8*
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpmgraph.8*
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/rpm/rpmcache
%rpmattr	%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpmgraph


%files -n popt
%defattr(-,root,root)
%doc LICENSE

%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libpopt.so.*
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/popt.3*
%lang(cs)	%{_hhl_cross_target_dir}/usr/*/locale/cs/LC_MESSAGES/popt.mo
%lang(da)	%{_hhl_cross_target_dir}/usr/*/locale/da/LC_MESSAGES/popt.mo
%lang(de)	%{_hhl_cross_target_dir}/usr/*/locale/de/LC_MESSAGES/popt.mo
%lang(es)	%{_hhl_cross_target_dir}/usr/*/locale/es/LC_MESSAGES/popt.mo
%lang(eu_ES)	%{_hhl_cross_target_dir}/usr/*/locale/eu_ES/LC_MESSAGES/popt.mo
%lang(fi)	%{_hhl_cross_target_dir}/usr/*/locale/fi/LC_MESSAGES/popt.mo
%lang(fr)	%{_hhl_cross_target_dir}/usr/*/locale/fr/LC_MESSAGES/popt.mo
%lang(gl)	%{_hhl_cross_target_dir}/usr/*/locale/gl/LC_MESSAGES/popt.mo
%lang(hu)	%{_hhl_cross_target_dir}/usr/*/locale/hu/LC_MESSAGES/popt.mo
%lang(id)	%{_hhl_cross_target_dir}/usr/*/locale/id/LC_MESSAGES/popt.mo
%lang(is)	%{_hhl_cross_target_dir}/usr/*/locale/is/LC_MESSAGES/popt.mo
%lang(it)	%{_hhl_cross_target_dir}/usr/*/locale/it/LC_MESSAGES/popt.mo
%lang(ja)	%{_hhl_cross_target_dir}/usr/*/locale/ja/LC_MESSAGES/popt.mo
%lang(ko)	%{_hhl_cross_target_dir}/usr/*/locale/ko/LC_MESSAGES/popt.mo
%lang(no)	%{_hhl_cross_target_dir}/usr/*/locale/no/LC_MESSAGES/popt.mo
%lang(pl)	%{_hhl_cross_target_dir}/usr/*/locale/pl/LC_MESSAGES/popt.mo
%lang(pt_BR)	%{_hhl_cross_target_dir}/usr/*/locale/pt_BR/LC_MESSAGES/popt.mo
%lang(pt)	%{_hhl_cross_target_dir}/usr/*/locale/pt/LC_MESSAGES/popt.mo
%lang(ro)	%{_hhl_cross_target_dir}/usr/*/locale/ro/LC_MESSAGES/popt.mo
%lang(ru)	%{_hhl_cross_target_dir}/usr/*/locale/ru/LC_MESSAGES/popt.mo
%lang(sk)	%{_hhl_cross_target_dir}/usr/*/locale/sk/LC_MESSAGES/popt.mo
%lang(sl)	%{_hhl_cross_target_dir}/usr/*/locale/sl/LC_MESSAGES/popt.mo
%lang(sr)	%{_hhl_cross_target_dir}/usr/*/locale/sr/LC_MESSAGES/popt.mo
%lang(sv)	%{_hhl_cross_target_dir}/usr/*/locale/sv/LC_MESSAGES/popt.mo
%lang(tr)	%{_hhl_cross_target_dir}/usr/*/locale/tr/LC_MESSAGES/popt.mo
%lang(uk)	%{_hhl_cross_target_dir}/usr/*/locale/uk/LC_MESSAGES/popt.mo
%lang(wa)	%{_hhl_cross_target_dir}/usr/*/locale/wa/LC_MESSAGES/popt.mo
%lang(zh)	%{_hhl_cross_target_dir}/usr/*/locale/zh/LC_MESSAGES/popt.mo
%lang(zh_CN)	%{_hhl_cross_target_dir}/usr/*/locale/zh_CN.GB2312/LC_MESSAGES/popt.mo

# XXX These may end up in popt-devel but it hardly seems worth the effort now.
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libpopt.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libpopt.la
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libpopt.so
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/popt.h


%changelog
* Mon Oct 20 2003 Michael Eager <eager@mvista.com>
- Add xtensa to configuration.
* Wed Jan 11 2003 Mark Hatle <source@mvista.com>
- Based on rpm.spec - Tue Sep 17 2002 Jeff Johnson <jbj@redhat.com> 4.1
- rpm-4.1 release.

* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <source@mvista.com>)
- Added TCT package description files

* Tue Feb 27 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file



